package com.op.wms.domain;


import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;


import java.math.BigDecimal;
import java.util.Date;


/**
 * @Description: 原材料库存
 */

public class OdsRawStorageNews extends BaseEntity {
	private static final long serialVersionUID = 1L;
	/**
	 * 唯一序列
	 */
	private String storageId;

	/**
	 * 仓库编码
	 */
	private String whCode;

	private String storageType;

	public String getStorageType() {
		return storageType;
	}

	public void setStorageType(String storageType) {
		this.storageType = storageType;
	}

	private String sapSiteCode;
	private String siteCode;
	/**
	 * 区域编码
	 */
	private String regionCode;

	/**
	 * 库区编码
	 */
	private String waCode;

	/**
	 * 库位编码
	 */
	private String wlCode;
	private String wlDesc;
	private String sapwlCode;

	/**
	 * 物料号
	 */
	private String materialCode;

	/**
	 * 物料描述
	 */
	private String materialDesc;

	/**
	 * 物料组1，主关件、辅料、大宗
	 */
	private String materialGroup1;

	/**
	 * 物料组2，未定
	 */
	private String materialGroup2;

	/**
	 * 物料组3，未定
	 */
	private String materialGroup3;

	/**
	 * 货主
	 */
	private String owner;

	/**
	 * 总数量
	 */
	private BigDecimal amount;
	private BigDecimal amountMin;
	private BigDecimal amountMax;

	/**
	 * 冻结数量
	 */
	private BigDecimal storageAmount;
	private BigDecimal storageAmountMin;
	private BigDecimal storageAmountMax;

	/**
	 * 占用数量
	 */
	private BigDecimal occupyAmount;
	private BigDecimal occupyAmountMin;
	private BigDecimal occupyAmountMax;

	private BigDecimal useAmount;
	/**
	 * LPN
	 */
	private String lpn;


	/**
	 * 入库批次号
	 */
	private String productBatch;

	/**
	 * 入库时间(原材料)
	 */
	private Date receiveDate;

	/**
	 * 生产时间(原材料)
	 */
	private Date productDate;
	/** 用户自定义属性1 */
	@Excel(name = "用户自定义属性1")
	private String userDefined1;

	/** 用户自定义属性2 */
	@Excel(name = "用户自定义属性2")
	private String userDefined2;

	/** 用户自定义属性3 */
	@Excel(name = "用户自定义属性3")
	private String userDefined3;

	/** 用户自定义属性4 */
	@Excel(name = "用户自定义属性4")
	private String userDefined4;

	/** 用户自定义属性5 */
	@Excel(name = "用户自定义属性5")
	private String userDefined5;

	/** 用户自定义属性6 */
	@Excel(name = "用户自定义属性6")
	private String userDefined6;

	/** 用户自定义属性7 */
	@Excel(name = "用户自定义属性7")
	private String userDefined7;

	/** 用户自定义属性8 */
	@Excel(name = "用户自定义属性8")
	private String userDefined8;

	/** 用户自定义属性9 */
	@Excel(name = "用户自定义属性9")
	private String userDefined9;

	/** 用户自定义属性10 */
	@Excel(name = "用户自定义属性10")
	private String userDefined10;

	public String getStorageId() {
		return storageId;
	}

	public void setStorageId(String storageId) {
		this.storageId = storageId;
	}

	public String getWhCode() {
		return whCode;
	}

	public void setWhCode(String whCode) {
		this.whCode = whCode;
	}

	public String getSapSiteCode() {
		return sapSiteCode;
	}

	public void setSapSiteCode(String sapSiteCode) {
		this.sapSiteCode = sapSiteCode;
	}

	public String getSiteCode() {
		return siteCode;
	}

	public void setSiteCode(String siteCode) {
		this.siteCode = siteCode;
	}

	public String getRegionCode() {
		return regionCode;
	}

	public void setRegionCode(String regionCode) {
		this.regionCode = regionCode;
	}

	public String getWaCode() {
		return waCode;
	}

	public void setWaCode(String waCode) {
		this.waCode = waCode;
	}

	public String getWlCode() {
		return wlCode;
	}

	public void setWlCode(String wlCode) {
		this.wlCode = wlCode;
	}

	public String getWlDesc() {
		return wlDesc;
	}

	public void setWlDesc(String wlDesc) {
		this.wlDesc = wlDesc;
	}

	public String getSapwlCode() {
		return sapwlCode;
	}

	public void setSapwlCode(String sapwlCode) {
		this.sapwlCode = sapwlCode;
	}

	public String getMaterialCode() {
		return materialCode;
	}

	public void setMaterialCode(String materialCode) {
		this.materialCode = materialCode;
	}

	public String getMaterialDesc() {
		return materialDesc;
	}

	public void setMaterialDesc(String materialDesc) {
		this.materialDesc = materialDesc;
	}

	public String getMaterialGroup1() {
		return materialGroup1;
	}

	public void setMaterialGroup1(String materialGroup1) {
		this.materialGroup1 = materialGroup1;
	}

	public String getMaterialGroup2() {
		return materialGroup2;
	}

	public void setMaterialGroup2(String materialGroup2) {
		this.materialGroup2 = materialGroup2;
	}

	public String getMaterialGroup3() {
		return materialGroup3;
	}

	public void setMaterialGroup3(String materialGroup3) {
		this.materialGroup3 = materialGroup3;
	}

	public String getOwner() {
		return owner;
	}

	public void setOwner(String owner) {
		this.owner = owner;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public BigDecimal getAmountMin() {
		return amountMin;
	}

	public void setAmountMin(BigDecimal amountMin) {
		this.amountMin = amountMin;
	}

	public BigDecimal getAmountMax() {
		return amountMax;
	}

	public void setAmountMax(BigDecimal amountMax) {
		this.amountMax = amountMax;
	}

	public BigDecimal getStorageAmount() {
		return storageAmount;
	}

	public void setStorageAmount(BigDecimal storageAmount) {
		this.storageAmount = storageAmount;
	}

	public BigDecimal getStorageAmountMin() {
		return storageAmountMin;
	}

	public void setStorageAmountMin(BigDecimal storageAmountMin) {
		this.storageAmountMin = storageAmountMin;
	}

	public BigDecimal getStorageAmountMax() {
		return storageAmountMax;
	}

	public void setStorageAmountMax(BigDecimal storageAmountMax) {
		this.storageAmountMax = storageAmountMax;
	}

	public BigDecimal getOccupyAmount() {
		return occupyAmount;
	}

	public void setOccupyAmount(BigDecimal occupyAmount) {
		this.occupyAmount = occupyAmount;
	}

	public BigDecimal getOccupyAmountMin() {
		return occupyAmountMin;
	}

	public void setOccupyAmountMin(BigDecimal occupyAmountMin) {
		this.occupyAmountMin = occupyAmountMin;
	}

	public BigDecimal getOccupyAmountMax() {
		return occupyAmountMax;
	}

	public void setOccupyAmountMax(BigDecimal occupyAmountMax) {
		this.occupyAmountMax = occupyAmountMax;
	}

	public BigDecimal getUseAmount() {
		return useAmount;
	}

	public void setUseAmount(BigDecimal useAmount) {
		this.useAmount = useAmount;
	}

	public String getLpn() {
		return lpn;
	}

	public void setLpn(String lpn) {
		this.lpn = lpn;
	}

	public String getProductBatch() {
		return productBatch;
	}

	public void setProductBatch(String productBatch) {
		this.productBatch = productBatch;
	}

	public Date getReceiveDate() {
		return receiveDate;
	}

	public void setReceiveDate(Date receiveDate) {
		this.receiveDate = receiveDate;
	}

	public Date getProductDate() {
		return productDate;
	}

	public void setProductDate(Date productDate) {
		this.productDate = productDate;
	}

	public String getUserDefined1() {
		return userDefined1;
	}

	public void setUserDefined1(String userDefined1) {
		this.userDefined1 = userDefined1;
	}

	public String getUserDefined2() {
		return userDefined2;
	}

	public void setUserDefined2(String userDefined2) {
		this.userDefined2 = userDefined2;
	}

	public String getUserDefined3() {
		return userDefined3;
	}

	public void setUserDefined3(String userDefined3) {
		this.userDefined3 = userDefined3;
	}

	public String getUserDefined4() {
		return userDefined4;
	}

	public void setUserDefined4(String userDefined4) {
		this.userDefined4 = userDefined4;
	}

	public String getUserDefined5() {
		return userDefined5;
	}

	public void setUserDefined5(String userDefined5) {
		this.userDefined5 = userDefined5;
	}

	public String getUserDefined6() {
		return userDefined6;
	}

	public void setUserDefined6(String userDefined6) {
		this.userDefined6 = userDefined6;
	}

	public String getUserDefined7() {
		return userDefined7;
	}

	public void setUserDefined7(String userDefined7) {
		this.userDefined7 = userDefined7;
	}

	public String getUserDefined8() {
		return userDefined8;
	}

	public void setUserDefined8(String userDefined8) {
		this.userDefined8 = userDefined8;
	}

	public String getUserDefined9() {
		return userDefined9;
	}

	public void setUserDefined9(String userDefined9) {
		this.userDefined9 = userDefined9;
	}

	public String getUserDefined10() {
		return userDefined10;
	}

	public void setUserDefined10(String userDefined10) {
		this.userDefined10 = userDefined10;
	}
}
